 .text-puja:hover {
   color: #ff751f !important;
 }

 .text-puja-main {
   color: #ff9933 !important;
 }

 .text-puja {
   color: #ff751f !important;
 }

 .bg-puja {
   background-color: #ff9933 !important;
 }

 .modal-title {
   color: #c45a00;
   font-weight: 600;
 }

 .modal-header {
   background: linear-gradient(135deg, #fae7bbb4, #f9b082b8);
   color: white;
   padding: 8px !important;
 }




 :root {
   --primary: #FF9933;
   --accent: #fff3e0;
   --dark: #0f2a1e;
   --light: #f8f9fa;
   --gray: #e9ecef;
 }

 * {
   font-family: "Amarna", sans-serif;
 }


 h2, h5 {
   color: #cf5e2c;
   font-weight: 600;
 }

 html {
   scroll-behavior: smooth;
 }




 /* navbar css  */
 .navbar {
   position: sticky;
   top: 0;
   z-index: 9999;
   transition: all 0.3s ease;
 }

 .navbar.scrolled {
   box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
   padding-top: 5px !important;
   padding-bottom: 5px !important;
 }


 /* Hover dropdown show */
 .nav-item.dropdown:hover .dropdown-menu {
   display: block;
   margin-top: 0;
 }

 /* Smooth fade animation */
 .fade-menu {
   animation: fadeIn 0.25s ease-in-out;
 }

 @keyframes fadeIn {
   from {
     opacity: 0;
     transform: translateY(10px);
   }

   to {
     opacity: 1;
     transform: translateY(0);
   }
 }

 .nav-link {
   padding: 10px 18px !important;
   color: #d44127 !important;
 }

 /* Active hover effect */
 .nav-link:hover {
   /* color: #00bcd4 !important; */
   color: #a0210d !important;
 }

 /* Dropdown menu styling */
 .dropdown-menu {
   border-radius: 8px;
   padding: 10px 0;
 }

 /* ============================================ */
 /* ============================================ */

 /* Mega Dropdown Parent */

 .mega-dropdown {
   position: static;
 }

 /* Mega Menu Box */
 .mega-menu-box {
   position: absolute;
   left: 0;
   right: 0;
   top: 100%;
   margin-top: 0;
   width: 100%;
   display: none;
   background: #fff;
   z-index: 999;
 }

 /* Show on Hover */
 .mega-dropdown:hover .mega-menu-box {
   display: block;
 }

 /* Item Hover */
 .mega-menu-box .dropdown-item:hover {
   background-color: #fff2f2;
   color: #d44127;
 }

 .navbar-nav .nav-link:hover {
   color: #d44127 !important;
 }

 .mega-dropdown .bi {
   transition: 0.3s ease;
 }

 .mega-dropdown:hover .bi {
   transform: rotate(180deg);
 }

 .dropdown-menu .dropdown-item {
   padding: 5px 0 !important;
 }

 /* Mobile*/
 @media (max-width: 991px) {

   .mega-menu-box {
     position: static;
     max-height: 60vh;
     overflow-y: auto;
     /* display: block !important; */
   }

   .mega-menu-box::-webkit-scrollbar {
     width: 5px;
   }

   .mega-menu-box::-webkit-scrollbar-thumb {
     background: #d44127;
     border-radius: 10px;
   }

 }

 /* DESKTOP HOVER FIX */
 @media (min-width: 992px) {

   .mega-dropdown .dropdown-menu {
     display: block;
     opacity: 0;
     visibility: hidden;
     transform: translateY(10px);
     transition: all 0.3s ease;
   }

   .mega-dropdown:hover .dropdown-menu {
     opacity: 1;
     visibility: visible;
     transform: translateY(0);
   }
 }

 /* ================= DESKTOP search ================= */
 .desktop-search-box {
   width: 0;
   transition: all 0.4s ease;
   margin-left: 10px;
   position: relative;
 }

 .desktop-search-box.active {
   width: 250px;
 }

 .desktop-search-input {
   opacity: 0;
   transition: opacity 0.3s ease;
 }

 .desktop-search-box.active .desktop-search-input {
   opacity: 1;
 }

 /* IMPORTANT FIX */
 .desktop-search-results {
   position: absolute;
   top: 45px;
   left: 0;
   width: 250px;
   background: #fff;
   border-radius: 8px;
   box-shadow: 0 8px 25px rgba(0, 0, 0, 0.08);
   display: none;
   z-index: 9999;
 }

 /* ================= MOBILE  search ================= */


 .mobile-search-overlay {
   position: fixed;
   inset: 0;
   background: rgba(255, 255, 255, 0.95);
   backdrop-filter: blur(5px);
   z-index: 99999;
   display: none;
   padding: 20px;
   animation: fadeIn 0.3s ease;
 }

 .mobile-search-box {
   max-width: 500px;
   margin: 80px auto 0;
 }

 .mobile-search-results {
   display: none;
 }

 .search-item {
   padding: 10px;
   border-bottom: 1px solid #eee;
   cursor: pointer;
 }

 .search-item:hover {
   background: #f8f9fa;
 }

 @keyframes fadeIn {
   from {
     opacity: 0;
   }

   to {
     opacity: 1;
   }
 }

 /* ========================================= */

 .cart-fab {
   cursor: pointer;
 }

 .cart-fab i {
   color: #d44127;
 }


 .cart-fab span {
   position: absolute;
   left: 80%;
   bottom: 30%;
   background: #d60407;
   color: #fff;
   padding: 1px 6px;
   border-radius: 30px;
   cursor: pointer;
   font-size: 10px;
   z-index: 9999;
   width: 20px;
   height: 20px;
   display: flex;
   align-items: center;
   justify-content: center;
 }

 .cart-panel {
   position: fixed;
   right: -100%;
   top: 0;
   width: 340px;
   max-width: 90%;
   height: 100vh;
   background: #fff;
   box-shadow: -5px 0 30px rgba(0, 0, 0, .15);
   padding: 16px;
   transition: .4s ease;
   z-index: 99999;
   display: flex;
   flex-direction: column;
 }

 .cart-panel.open {
   right: 0;
 }

 .cart-panel h5 {
   font-weight: 600;
   border-bottom: 1px solid #eee;
   padding-bottom: 10px;
   margin-bottom: 10px;
 }

 .cart-close {
   position: absolute;
   top: 12px;
   right: 12px;
   font-size: 20px;
   cursor: pointer;
   color: #d44127;
   font-weight: bold;
 }

 /* Cart Items Scroll */

 #cartItems {
   flex: 1;
   overflow-y: auto;
   /* padding-right: 6px; */
 }

 .cart-item {
   display: flex;
   gap: 10px;
   margin-bottom: 14px;
   border-bottom: 1px dashed #eee;
   padding-bottom: 12px;
 }

 .cart-item img {
   width: 70px;
   height: 70px;
   object-fit: cover;
   border-radius: 10px;
 }

 .cart-item div {
   flex: 1;
   font-size: 12px;
   font-weight: 600;
 }

 /* Qty */

 .qty {
   margin-top: 6px;
   display: flex;
   gap: 6px;
   align-items: center;
 }

 .qty button {
   background: #d44127;
   border: none;
   color: #fff;
   width: 20px;
   height: 20px;
   border-radius: 6px;
   font-size: 11px;
   display: flex;
   align-items: center;
   justify-content: center;
   /* padding: 2px 8px; */
 }

 /* Footer */

 .cart-footer {
   border-top: 1px solid #eee;
   padding-top: 10px;
 }

 .cart-footer div {
   font-weight: 600;
   margin-bottom: 8px;
 }

 /* Checkout */

 .checkout-btn {
   width: 100%;
   background: #d44127;
   color: #fff;
   border: none;
   padding: 12px;
   border-radius: 8px;
   font-size: 15px;
 }

 /* Cart Toast */

 #toast {
   position: fixed;
   z-index: 10000;
   top: 20%;
   right: 0%;
   transform: translateX(-50%);
   background: #d44127;
   color: #fff;
   padding: 8px 18px;
   border-radius: 30px;
   opacity: 0;
   transition: .4s;
   font-size: 13px;

 }

 #toast.show {
   opacity: 1;
 }

 /* =============================================== */
 /* =============================================== */

 /* Footer CSS */

 .custom-footer {
   position: relative;
   background-size: cover;
   background-position: center;
   padding: 70px 0 30px;
   color: #000;
   overflow: hidden;
 }

 /* OVERLAY */
 .custom-footer::before {
   content: "";
   position: absolute;
   inset: 0;
   background: rgba(255, 255, 255, 0.88);
   /* white soft overlay */
   z-index: 1;
 }

 /* footer content upar rahe */
 .custom-footer .container {
   position: relative;
   z-index: 2;
 }


 .footer-title {
   font-weight: 600;
   margin-bottom: 15px;
 }

 .footer-address {
   text-decoration: none;
   color: #b44a1f;
 }

 .custom-footer ul {
   list-style: none;
   padding: 0;
 }

 .custom-footer ul li {
   margin-bottom: 8px;
 }

 .custom-footer ul li a {
   color: #b44a1f;
   text-decoration: none;
 }

 .custom-footer ul li a:hover {
   text-decoration: underline;
 }

 .newsletter-box input {
   width: 100%;
   padding: 10px 15px;
   background: transparent;
   border: 1px solid #8fd3c1;
   color: #fff;
 }

 .social-icons a {
   display: inline-flex;
   width: 40px;
   height: 40px;
   background: transparent;
   /* BG removed */
   border-radius: 50%;
   align-items: center;
   justify-content: center;
   margin-right: 10px;
   font-size: 20px;
   transition: 0.3s ease;
 }

 /* Brand Colors */
 .social-icons a .bi-facebook {
   color: #1877F2;
 }

 .social-icons a .bi-instagram {
   background: radial-gradient(circle at 30% 107%,
       #fdf497 0%,
       #fdf497 5%,
       #fd5949 45%,
       #d6249f 60%,
       #285AEB 90%);
   -webkit-background-clip: text;
   -webkit-text-fill-color: transparent;
 }

 .social-icons a .bi-whatsapp {
   color: #25D366;
 }

 .social-icons a .bi-twitter-x {
   color: #000000;
 }

 /* Hover Effect */
 .social-icons a:hover {
   transform: translateY(-3px);
 }

 .footer-bottom a {
   color: #d44127;
   font-weight: 500;
 }

 .footer-bottom a:hover {
   text-decoration: underline;
 }

 /* ====================================================== */
 /* ====================================================== */

 /* Social icons for header and footer  */
 .icons {
   background: var(--accent);
   border-radius: 50%;
   cursor: pointer;
   outline: none;
   border: none;
   /* z-index: -1; */
   text-align: center;
   margin: 3px;
   box-shadow: 2px 2px 3px #6e6d6dce;
 }

 .icon {
   z-index: 1;
   width: 100%;
   height: 100%;
   text-align: center;
   border-radius: 50%;
   outline: none;
   transition: color 0.3s ease;
   color: var(--primary);
   align-items: center;
   justify-content: center;

 }

 .icon:hover {
   color: #fff;
 }

 /* 
 .icon::before {
   content: "";
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   height: 0;
   border-radius: 50%;
   transform: rotateX(360deg);
   transition: height 0.3s ease;
   z-index: -1;
 }

 .icon:hover::before {
   height: 100%;
   z-index: 1;
 } */

 .icon:hover {
   box-shadow: 5px 5px 10px #767676ce;
 }

 .icon.tube::before {
   z-index: -1;
   background: red;
 }

 .icon.insta::before {
   z-index: -1;
   background: linear-gradient(40deg, #0000ff, #f56040);
 }

 .icon.link::before {
   z-index: -1;
   background: #0274b3;
 }

 .icon.whats::before {
   z-index: -1;
   background: #25d366;
 }

 /* =============================================== */
 /* =============================================== */

 /* Hero-slider Css   */
 .slider-img {
   height: 35vh;
   object-fit: cover;
 }

 .carousel-overlay {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background: rgba(0, 0, 0, 0.25);
   display: flex;
   align-items: center;
   justify-content: center;
   text-align: center;
   z-index: 5;
   /* pointer-events: none; IMPORTANT FIX */
 }

 .carousel-overlay h1 {
   color: #fff;
   font-size: 45px;
   font-weight: bold;
 }

 .breadcrumb-text {
   color: #fff;
   font-size: 18px;
 }

 .breadcrumb-text a {
   color: #fff;
 }

 .carousel-control-prev,
 .carousel-control-next {
   z-index: 20 !important;
 }

 /* =============================================== */
 /* =============================================== */

 /* button css */
 .pooja-btn {
   padding: 8px 10px;
   background: linear-gradient(135deg, #ffffff, #ffffff);
   border: none;
   border-radius: 50px;
   cursor: pointer;
   letter-spacing: 1px;
   box-shadow: 0 0 5px 1px rgb(212 65 39);
   transition: all 0.4s ease;
   text-decoration: none;
   color: #d44127;
   text-decoration: none;
   font-size: 13px;
 }

 .pooja-btn:hover {
   box-shadow: 0 0 35px rgb(221 65 38 / 41%), 0 0 60px rgb(176 73 55 / 14%);
   transform: scale(1.08);
 }

 /* ================================================ */
 /* ================================================ */

 .shok-marquee-section {
   /* padding:25px 0; */
   overflow: hidden;
 }

 @keyframes flicker {
   from {
     opacity: 0.7;
     transform: translateY(-50%) scale(1);
   }

   to {
     opacity: 1;
     transform: translateY(-50%) scale(1.1);
   }
 }

 .marquee {
   white-space: nowrap;
   overflow: hidden;
 }

 .marquee-frame {
   background-color: #d44127 !important;
 }

 .marquee-content {
   display: inline-block;
   padding-left: 100%;
   animation: scroll-left 18s linear infinite;
   font-size: 14px;
   color: white;
   letter-spacing: 1px;
   font-family: 'Segoe UI', sans-serif;
 }

 /* Scroll animation */
 @keyframes scroll-left {
   0% {
     transform: translateX(0);
   }

   100% {
     transform: translateX(-100%);
   }
 }

 /* ==================================================== */
 /* ==================================================== */

 /* back to top css  */
 .back-to-top {
   position: fixed;
   bottom: 25px;
   right: 25px;
   width: 48px;
   height: 48px;
   border-radius: 50%;
   background: #fff;
   color: #000;
   border: none;
   font-size: 22px;
   cursor: pointer;
   display: none;
   align-items: center;
   justify-content: center;
   z-index: 999;
   box-shadow: 0 6px 16px rgba(0, 0, 0, 0.2);
   transition: all 0.3s ease;
 }

 .back-to-top:hover {
   background: #12766b;
   transform: translateY(-4px);
 }



 .pooja-packages {
   background: linear-gradient(180deg,
       #fde9e5,
       #ffffff);
 }

 .section-title {
   font-weight: 700;
   color: #c45a00;
 }

 .section-sub {
   color: #666;
   font-style: italic;
 }

 /* Card */
 .pooja-card {
   background: #fff;
   border-radius: 20px;
   overflow: hidden;
   box-shadow: 0 0px 4px 2px rgb(212 65 39 / 66%);
   transition: 0.4s;
 }

 .pooja-card:hover {
   transform: translateY(-10px);
   box-shadow: 0 2px 4px 2px rgba(212, 65, 39, 0.615);
   cursor: pointer;
 }

 .pooja-card img {
   width: 100%;
   height: 177px;
   object-fit: cover;
 }

 .pooja-content {
   padding: 16px;
 }

 .pooja-content h4 {
   color: #c45a00;
   font-weight: 600;
 }

 .pooja-content p {
   font-size: 14px;
   color: #555;
 }

 .pooja-content ul {
   padding-left: 0;
   list-style: none;
   margin: 15px 0;
 }

 .pooja-content ul li {
   font-size: 14px;
   color: #444;
   margin-bottom: 6px;
 }

 .pooja-footer {
   display: flex;
   justify-content: space-between;
   align-items: center;
 }

 .price {
   font-size: 18px;
   font-weight: bold;
   color: #e65100;
 }

 /* ================================================ */
 /* ============================================= */

 /* Puja services cards css */
 /* CARD WRAPPER */
 .card {
   height: 100%;
   display: flex;
   flex-direction: column;
   background-color: #fff;
   border-radius: 12px;
   overflow: hidden;
   transition: all .4s cubic-bezier(0.175, 0.885, 0, 1);
   /* box-shadow: 0 6px 16px rgba(0, 0, 0, 0.08); */
   box-shadow: 0px 0px 3px 2px rgb(212 65 39) !important;
 }

 .card:hover {
   box-shadow: 0 12px 28px rgba(0, 0, 0, 0.12);
   transform: scale(1.05);
 }

 /* IMAGE */
 .card__img,
 .card__img--hover {
   height: 163px;
   width: 100%;
   background-size: cover;
   background-position: center;
   background-repeat: no-repeat;
   flex-shrink: 0;
 }

 .card__img {
   visibility: hidden;
 }

 .card__img--hover {
   position: absolute;
   top: 0;
   left: 0;
   transition: 0.3s ease;
   border-top-left-radius: 12px;
   border-top-right-radius: 12px;
 }

 .card:hover .card__img--hover {
   height: 100%;
   opacity: 0.3;
 }

 /* CONTENT */
 .card__info {
   flex: 1;
   padding: 12px;
   display: flex;
   align-items: center;
   justify-content: center;
   text-align: center;
   z-index: 2;
   background: #fff;
   border-bottom-left-radius: 12px;
   border-bottom-right-radius: 12px;
 }

 .card__title {
   font-size: 15px;
   line-height: 1.4;
   margin: 0;

   display: -webkit-box;
   -webkit-line-clamp: 2;
   -webkit-box-orient: vertical;
   overflow: hidden;
 }

 /* MOBILE FIX */
 @media (max-width: 767px) {
   .card:hover {
     transform: none;
   }
 }

 /* ======================================== */
 /* ========================================= */